TODOs for mailman-suite
=======================

* mailman3-web: drop hard dependency on mailman3

  For now, the dependency is there to ensure that the postinst of
  mailman3 is run before the one of mailman3-web. This is
  needed because the mailman3-web postinst derives the REST API
  key from mailman.cfg, which is generated in mailman3
  postinst.
  
  Options:

  *) Make the REST API credentials in the settings.py shipped with
     mailman3-web optional. E.g. by patching django-mailman3 to
     read the credentials from mailman.cfg if mailman3 runs on
     the same host.
  *) Patch mailman3 and django-mailman3 to use a common file
     for the REST API credentials.
  *) Interactively ask for the credentials via debconf during
     installation and don't automatically generate random ones. This
     had the major drawback of needed user interaction where none
     should be necessary.
